From: "Tiziano Müller" <dev-zero@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask/
Date: Thu, 21 Jul 2016 06:50:51 +0000 (UTC) [thread overview]
Message-ID: <1469083825.707bd7fa88f05ce0032c6e83d2fdd656fea8f55f.dev-zero@gentoo> (raw)
commit: 707bd7fa88f05ce0032c6e83d2fdd656fea8f55f
Author: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 21 06:49:35 2016 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Thu Jul 21 06:50:25 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=707bd7fa
dev-python/flask: version bump to 0.11
Package-Manager: portage-2.3.0_rc1
dev-python/flask/Manifest | 1 +
dev-python/flask/flask-0.11.ebuild | 55 ++++++++++++++++++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/dev-python/flask/Manifest b/dev-python/flask/Manifest
index f28be97..f5c5653 100644
--- a/dev-python/flask/Manifest
+++ b/dev-python/flask/Manifest
@@ -1 +1,2 @@
DIST Flask-0.10.1.tar.gz 544247 SHA256 4c83829ff83d408b5e1d4995472265411d2c414112298f2eb4b359d9e4563373 SHA512 0008d62d03a46b071c7d0510513d011a9bfd2b77df7f677371a446ca9805d16b1ee5e17dd8dd7cde6443a629370234e44735e20381de20a7da385969797f053f WHIRLPOOL f30a306ed00fe6d4c8e47b781c556c576b99b3545f833ae06f6b778d91c3127dc0adcc34d48221a0f1db1bb1633f2329d6085b7a4550afc672530525fdff474f
+DIST Flask-0.11.tar.gz 563928 SHA256 29a7405a7f0de178232fe48cd9b2a2403083bf03bd34eabe12168863d4cdb493 SHA512 77ee9998c96ba5e4eb007b81e04a051a6f8fc3ac837496a8c9e6637fdbff3e6fbba4912919b1cb2c5ed72951cc9fb8eb28d699e3f15de14ecbb51c362111eafc WHIRLPOOL ee65af738a841a05c7d2ad2e9b021e3b0a0e046db706c747802d675d76246701b62d1911fae321aa460f7aafd17274b21177fd2cc5c647383ac6b6eba37cd36d
diff --git a/dev-python/flask/flask-0.11.ebuild b/dev-python/flask/flask-0.11.ebuild
new file mode 100644
index 0000000..b73ffaa
--- /dev/null
+++ b/dev-python/flask/flask-0.11.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy{,3} )
+
+inherit distutils-r1
+
+MY_PN="Flask"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="A microframework based on Werkzeug, Jinja2 and good intentions"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+HOMEPAGE="https://github.com/pallets/flask/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples test"
+
+RDEPEND=">=dev-python/blinker-1[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-0.7[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.4[${PYTHON_USEDEP}]
+ >=dev-python/itsdangerous-0.21[${PYTHON_USEDEP}]
+ >=dev-python/click-2[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+S="${WORKDIR}/${MY_P}"
+
+python_prepare_all() {
+ # Prevent un-needed d'loading
+ sed -e "s/ 'sphinx.ext.intersphinx',//" -i docs/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ use doc && HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-07-21 6:51 UTC|newest]
Thread overview: 155+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-21 6:50 Tiziano Müller [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-30 11:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/flask/ Michał Górny
2024-11-14 4:39 Michał Górny
2024-05-14 9:54 Michał Górny
2024-04-24 17:15 Michał Górny
2024-04-24 15:31 Sam James
2024-04-08 3:06 Michał Górny
2024-02-20 9:09 Michał Górny
2024-02-20 7:41 Sam James
2024-02-04 4:01 Michał Górny
2024-02-03 9:36 Michał Górny
2024-02-03 9:17 Michał Górny
2024-02-03 8:48 Arthur Zamarin
2024-01-19 5:28 Michał Górny
2023-12-23 14:29 Arthur Zamarin
2023-12-14 4:15 Sam James
2023-11-25 15:14 Michał Górny
2023-11-03 16:24 Arthur Zamarin
2023-11-03 16:24 Arthur Zamarin
2023-11-03 16:24 Arthur Zamarin
2023-11-03 15:39 Sam James
2023-11-03 15:39 Sam James
2023-09-30 17:36 Michał Górny
2023-09-30 16:08 Michał Górny
2023-09-30 15:38 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-09-30 15:36 Arthur Zamarin
2023-08-22 18:23 Michał Górny
2023-08-22 18:23 Michał Górny
2023-07-19 11:10 Michał Górny
2023-06-06 5:43 Michał Górny
2023-05-30 14:01 Michał Górny
2023-05-30 3:28 Sam James
2023-05-30 0:20 Sam James
2023-05-29 23:50 Sam James
2023-05-29 8:36 Michał Górny
2023-05-03 7:51 Michał Górny
2023-05-02 3:14 Michał Górny
2023-04-26 5:36 Michał Górny
2023-03-18 15:03 Michał Górny
2023-03-18 10:51 Arthur Zamarin
2023-02-16 5:04 Michał Górny
2022-09-11 5:33 Michał Górny
2022-09-10 23:07 Jakov Smolić
2022-09-06 20:35 Michał Górny
2022-09-06 18:57 Arthur Zamarin
2022-08-13 10:55 Arthur Zamarin
2022-08-13 10:54 Arthur Zamarin
2022-08-09 17:58 Arthur Zamarin
2022-08-04 17:55 Arthur Zamarin
2022-07-14 7:31 Michał Górny
2022-05-31 7:28 Michał Górny
2022-05-31 7:23 Jakov Smolić
2022-05-12 20:31 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-05-07 21:04 Michał Górny
2022-05-07 20:00 Michał Górny
2022-05-01 12:56 Michał Górny
2022-04-28 18:48 Michał Górny
2022-04-28 18:48 Michał Górny
2022-04-22 10:47 Michał Górny
2022-04-15 15:44 Arthur Zamarin
2022-04-15 15:41 Arthur Zamarin
2022-04-15 15:41 Arthur Zamarin
2022-04-15 6:36 Arthur Zamarin
2022-04-15 6:19 Arthur Zamarin
2022-04-15 6:16 Arthur Zamarin
2022-04-14 19:36 Jakov Smolić
2022-04-12 18:32 Arthur Zamarin
2022-03-29 12:18 Michał Górny
2022-03-18 8:02 Arthur Zamarin
2022-02-14 21:37 Michał Górny
2021-12-04 17:53 Arthur Zamarin
2021-11-25 0:12 Sam James
2021-11-25 0:12 Sam James
2021-11-20 6:35 Sam James
2021-11-19 8:37 Arthur Zamarin
2021-11-19 7:59 Arthur Zamarin
2021-10-06 7:16 Michał Górny
2021-09-07 5:30 Sam James
2021-09-07 2:47 Sam James
2021-09-06 23:42 Sam James
2021-09-06 21:26 Sam James
2021-09-04 21:29 Sam James
2021-08-22 5:15 Agostino Sarubbo
2021-08-22 5:14 Agostino Sarubbo
2021-08-04 21:57 Marek Szuba
2021-07-25 3:23 Sam James
2021-06-18 6:29 Agostino Sarubbo
2021-06-18 6:27 Agostino Sarubbo
2021-06-18 2:31 Sam James
2021-06-18 1:35 Sam James
2021-06-17 23:22 Sam James
2021-06-17 7:23 Agostino Sarubbo
2021-06-14 22:30 Michał Górny
2021-06-14 22:18 Sam James
2021-06-10 14:02 Yixun Lan
2021-05-22 7:58 Michał Górny
2021-05-20 20:11 Michał Górny
2021-05-20 13:51 Michał Górny
2021-05-20 13:51 Michał Górny
2021-05-18 17:28 Sam James
2021-05-15 19:39 Sergei Trofimovich
2021-05-15 19:36 Sam James
2021-05-14 8:14 Michał Górny
2021-05-12 8:37 Michał Górny
2021-03-02 8:40 Sam James
2020-11-28 8:35 Sam James
2020-09-20 10:24 Michał Górny
2020-07-15 20:18 Sergei Trofimovich
2020-05-26 10:35 Michał Górny
2020-05-11 19:33 Michał Górny
2020-05-11 16:49 Michał Górny
2020-05-08 17:15 Agostino Sarubbo
2020-05-06 6:28 Agostino Sarubbo
2020-05-05 22:13 Sergei Trofimovich
2020-05-04 16:56 Agostino Sarubbo
2020-05-04 11:04 Michał Górny
2020-05-04 6:16 Mart Raudsepp
2020-05-03 15:05 Agostino Sarubbo
2020-04-08 14:01 Agostino Sarubbo
2020-04-04 17:04 Michał Górny
2020-03-27 9:16 Michał Górny
2020-03-27 9:16 Michał Górny
2020-03-27 9:16 Michał Górny
2020-03-16 5:54 Matt Turner
2020-02-19 19:33 Sergei Trofimovich
2020-01-31 22:17 Sergei Trofimovich
2019-11-25 12:35 Michał Górny
2019-11-23 0:34 Michał Górny
2019-11-23 0:34 Michał Górny
2019-08-27 8:40 罗百科
2019-08-27 8:40 罗百科
2018-09-28 20:33 Matt Thode
2018-08-30 15:48 Virgil Dupras
2018-08-21 2:11 Virgil Dupras
2018-04-29 10:30 Michał Górny
2018-01-28 20:41 Markus Meier
2017-12-24 13:38 Sergei Trofimovich
2017-12-22 16:32 Jason Zaman
2017-12-19 19:27 Thomas Deutschmann
2017-07-30 9:15 Michał Górny
2017-06-26 11:04 Alexis Ballier
2017-05-17 17:31 Manuel Rüger
2017-05-04 4:51 Zac Medico
2017-02-13 7:57 Zac Medico
2017-01-26 3:55 Zac Medico
2016-08-09 11:01 Patrick Lauer
2015-12-17 14:48 Justin Lecher
2015-12-09 15:10 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1469083825.707bd7fa88f05ce0032c6e83d2fdd656fea8f55f.dev-zero@gentoo \
--to=dev-zero@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox